# Delete

Launch stage: GA

`DELETE /api/2.0/accounts/{account_id}/customer-managed-keys/{customer_managed_key_id}`

Deletes a customer-managed key configuration object for an account. You cannot delete a configuration that is associated with a running workspace.

API scopes: provisioning

Clouds: AWS, GCP

## Path parameters

- `customer_managed_key_id` (string, optional)
  <Databricks> encryption key configuration ID.
- `account_id` (string, optional)

## Returns

Returns the CustomerManagedKey object.

## Response

```json
{
  "customer_managed_key_id": "string",
  "creation_time": 0,
  "account_id": "string",
  "aws_key_info": {
    "key_arn": "arn:aws:kms:us-west-2:111122223333:key/0987dcba-09fe-87dc-65ba-ab0987654321",
    "key_alias": "alias/projectKey1",
    "key_region": "us-east-1",
    "reuse_key_for_cluster_volumes": true
  },
  "gcp_key_info": {
    "kms_key_id": "string",
    "gcp_service_account": {}
  },
  "use_cases": [
    "string"
  ]
}
```

